Get all inventory balances
get
/fscmRestApi/resources/11.13.18.05/inventoryOnhandBalances
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds inventory balance.
Finder Variables- InventoryItemId; integer; ID of the inventory item.
- LocatorId; integer; Value that uniquely identifies the locator.
- OrganizationId; integer; ID of the organization.
- OwningPartySiteId; integer; Value that uniquely identifies the site of the owning party.
- Revision; string; Value that identifies the revision for an item.
- SubinventoryCode; string; Subinventory associated with the item on-hand quantity.
- SubinventoryGroup; string; Name of the subinventory group.
- SummaryLevel; string; Summary level for the inventory balance. Values include None, Organization, Subinventory, or Locator.
- getZeroRows Finds the row that has zero on-hand quantity.
Finder Variables- bindIncludeZero; string;
- bindInventoryItemId; integer; ID of the inventory item.
- bindItemNumber; string; Value that identifies the item.
- bindOrganizationCode; string; Summary level for the inventory balance. Values include None, Organization, Subinventory, or Locator.
- bindOrganizationId; integer; ID of the organization.
- PrimaryKey Finds inventory balance.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- Category; string; Name of category to which an item is assigned.
- CategoryId; integer; Value that uniquely identifies the category.
- ConsignedQuantity; number; Consigned quantity of item in the primary unit of measure. This attribute is associated with a feature that requires opt in.
- CreationDate; string; Creation date of the record.
- InventoryItemId; integer; ID of the inventory item.
- ItemDescription; string; Description that identifies the inventory item.
- ItemNumber; string; Identifies the inventory item number.
- ItemPrimaryImageURL; string; URL for the primary image of the inventory item.
- LastUpdateDate; string; Last update date of the record.
- Locator; string; Name of the locator
- LocatorId; integer; Value that uniquely identifies the locator.
- MaterialStatus; string; Status of the material.
- MaterialStatusId; integer; Value that uniquely identifies the material status that references the locator.
- OrganizationCode; string; Value that uniquely identifies the organization code.
- OrganizationId; integer; ID of the organization.
- OwningParty; string; Name of owning party.
- OwningPartyId; integer; Unique value identifying the owning party.
- OwningPartySite; string; Name of the site of the owning party.
- OwningPartySiteId; integer; Value that uniquely identifies the site of the owning party.
- ParLocation; integer; Value that indicates if the on-hand quantity is associated with a subinventory that's enabled for a par location inventory.
- PrimaryQuantity; number; Quantity of item in the primary unit of measure. This attribute is associated with a feature that requires opt in.
- PrimaryUOMCode; string; Primary UOM code.
- PrimaryUnitOfMeasure; string; The primary unit of measure defined for the item.
- Revision; string; Value that identifies the revision for an item.
- StockingOnhandQuantity; number; Value that indicates the on-hand quantity for an item in the stocking unit of measure of the subinventory.
- StockingUOMCode; string; Code that uniquely identifies the stocking unit of measure.
- StockingUnitOfMeasure; string; Name of the stocking unit of measure.
- SubinventoryCode; string; Subinventory associated with the item on-hand quantity.
- SubinventoryGroup; string; Name of the subinventory group.
- SummaryLevel; string; Summary level for the inventory balance. Values include None, Organization, Subinventory, or Locator.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : inventoryOnhandBalances
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : inventoryOnhandBalances-item-response
Type:
Show Source
object-
Category: string
Read Only:
trueMaximum Length:250Name of category to which an item is assigned. -
CategoryId: integer
(int64)
Read Only:
trueValue that uniquely identifies the category. -
ConsignedQuantity: number
Read Only:
trueConsigned quantity of item in the primary unit of measure. This attribute is associated with a feature that requires opt in. -
CreationDate: string
(date-time)
Read Only:
trueCreation date of the record. -
cycleCountDetails: array
Cycle Count Details
Title:
Cycle Count DetailsThe Cycle Count Details resource gets the last counted date. -
InventoryItemId: integer
(int64)
Read Only:
trueID of the inventory item. -
inventoryTrackingAttributes: array
Inventory Tracking Attributes
Title:
Inventory Tracking AttributesThe Inventory Tracking Attributes resource gets the details of the primary on-hand quantity, consigned quantity for specific inventory project, inventory task, and country of origin. This resource is associated with a feature that requires opt in. -
ItemDescription: string
Read Only:
trueMaximum Length:240Description that identifies the inventory item. -
ItemNumber: string
Read Only:
trueMaximum Length:300Identifies the inventory item number. -
ItemPrimaryImageURL: string
Read Only:
trueMaximum Length:4000URL for the primary image of the inventory item. -
LastUpdateDate: string
(date-time)
Read Only:
trueLast update date of the record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Locator: string
Read Only:
trueMaximum Length:255Name of the locator -
LocatorId: integer
Read Only:
trueValue that uniquely identifies the locator. -
lots: array
Lots
Title:
LotsThe Lots resource gets the lot numbers associated with an inventory balance record for a lot-controlled item. -
MaterialStatus: string
Read Only:
trueStatus of the material. -
MaterialStatusId: integer
Read Only:
trueValue that uniquely identifies the material status that references the locator. -
OrganizationCode: string
Read Only:
trueMaximum Length:18Value that uniquely identifies the organization code. -
OrganizationId: integer
(int64)
Read Only:
trueID of the organization. -
OwningParty: string
Read Only:
trueMaximum Length:360Name of owning party. -
OwningPartyId: integer
(int64)
Read Only:
trueUnique value identifying the owning party. -
OwningPartySite: string
Read Only:
trueMaximum Length:240Name of the site of the owning party. -
OwningPartySiteId: integer
Read Only:
trueValue that uniquely identifies the site of the owning party. -
ParLocation: integer
Read Only:
trueValue that indicates if the on-hand quantity is associated with a subinventory that's enabled for a par location inventory. -
PrimaryQuantity: number
Read Only:
trueQuantity of item in the primary unit of measure. This attribute is associated with a feature that requires opt in. -
PrimaryUnitOfMeasure: string
Read Only:
trueThe primary unit of measure defined for the item. -
PrimaryUOMCode: string
Read Only:
trueMaximum Length:3Primary UOM code. -
replenishmentDetails: array
Replenishment Details
Title:
Replenishment DetailsThe Replenished Details resource gets the last replenished date. -
Revision: string
Read Only:
trueMaximum Length:18Value that identifies the revision for an item. -
serials: array
Serials
Title:
SerialsThe Serials resource gets the serial numbers associated with an inventory balance record for a serial-controlled item. -
StockingOnhandQuantity: number
Read Only:
trueValue that indicates the on-hand quantity for an item in the stocking unit of measure of the subinventory. -
StockingUnitOfMeasure: string
Read Only:
trueMaximum Length:25Name of the stocking unit of measure. -
StockingUOMCode: string
Read Only:
trueMaximum Length:3Code that uniquely identifies the stocking unit of measure. -
SubinventoryCode: string
Read Only:
trueMaximum Length:10Subinventory associated with the item on-hand quantity. -
SubinventoryGroup: string
Read Only:
trueMaximum Length:100Name of the subinventory group. -
SummaryLevel: string
Read Only:
trueMaximum Length:255Summary level for the inventory balance. Values include None, Organization, Subinventory, or Locator.
Nested Schema : Cycle Count Details
Type:
arrayTitle:
Cycle Count DetailsThe Cycle Count Details resource gets the last counted date.
Show Source
Nested Schema : Inventory Tracking Attributes
Type:
arrayTitle:
Inventory Tracking AttributesThe Inventory Tracking Attributes resource gets the details of the primary on-hand quantity, consigned quantity for specific inventory project, inventory task, and country of origin. This resource is associated with a feature that requires opt in.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Lots
Type:
arrayTitle:
LotsThe Lots resource gets the lot numbers associated with an inventory balance record for a lot-controlled item.
Show Source
Nested Schema : Replenishment Details
Type:
arrayTitle:
Replenishment DetailsThe Replenished Details resource gets the last replenished date.
Show Source
Nested Schema : Serials
Type:
arrayTitle:
SerialsThe Serials resource gets the serial numbers associated with an inventory balance record for a serial-controlled item.
Show Source
Nested Schema : inventoryOnhandBalances-cycleCountDetails-item-response
Type:
Show Source
object-
LastCountedDate: string
(date-time)
Read Only:
trueDate when the item is last counted for a location during cycle counting. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : inventoryOnhandBalances-inventoryTrackingAttributes-item-response
Type:
Show Source
object-
ConsignedQuantity: number
Read Only:
trueConsigned quantity of item in the primary unit of measure. This attribute is associated with a feature that requires opt in. -
CountryOfOrigin: string
Name of the country of origin. This attribute isn't currently used.
-
CountryOfOriginCode: string
Read Only:
trueMaximum Length:2Abbreviation that identifies the country of origin. This attribute isn't currently used. -
InventoryProject: string
Name of the inventory project. This attribute isn't currently used.
-
InventoryProjectId: integer
(int64)
Read Only:
trueValue that uniquely identifies the inventory project. This attribute isn't currently used. -
InventoryTask: string
Name of the inventory task. This attribute isn't currently used.
-
InventoryTaskId: integer
(int64)
Read Only:
trueValue that uniquely identifies the inventory task. This attribute isn't currently used. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PrimaryQuantity: number
Read Only:
trueQuantity of item in the primary unit of measure. This attribute is associated with a feature that requires opt in.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : inventoryOnhandBalances-lots-item-response
Type:
Show Source
object-
ExpirationDate: string
(date)
Read Only:
trueDate controlling the availability of the lot for transaction and planning purposes. -
GradeCode: string
Read Only:
trueMaximum Length:150Grade of a lot. -
inventoryTrackingAttributes: array
Inventory Tracking Attributes
Title:
Inventory Tracking AttributesThe Inventory Tracking Attributes resource gets the details of the primary on-hand quantity, consigned quantity for specific inventory project, inventory task, and country of origin. This resource is associated with a feature that requires opt in. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
lotAttributeDFFs: array
lotAttributeDFFs
-
LotNumber: string
Read Only:
trueMaximum Length:80Lot number of the inventory item. -
lotSerials: array
Lot Serials
Title:
Lot SerialsThe Lot Serials resource gets the serial numbers associated with an inventory balance record for a lot-serial controlled item. -
lotStandardDFFs: array
lotStandardDFFs
-
MaterialStatus: string
Status of the material.
-
MaterialStatusId: integer
(int64)
Read Only:
trueValue that uniquely identifies the material status that references the locator. -
OwningParty: string
Read Only:
trueMaximum Length:360Name of owning party. -
OwningPartyId: number
Read Only:
trueUnique value identifying the owning party. -
OwningPartySite: string
Read Only:
trueMaximum Length:240Name of the site of the owning party. -
OwningPartySiteId: integer
Read Only:
trueValue that uniquely identifies the site of the owning party. -
OwningPartyType: string
Read Only:
trueMaximum Length:30Name of the Owning type. -
PrimaryQuantity: number
Read Only:
trueType of party.
Nested Schema : Inventory Tracking Attributes
Type:
arrayTitle:
Inventory Tracking AttributesThe Inventory Tracking Attributes resource gets the details of the primary on-hand quantity, consigned quantity for specific inventory project, inventory task, and country of origin. This resource is associated with a feature that requires opt in.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Lot Serials
Type:
arrayTitle:
Lot SerialsThe Lot Serials resource gets the serial numbers associated with an inventory balance record for a lot-serial controlled item.
Show Source
Nested Schema : inventoryOnhandBalances-lots-inventoryTrackingAttributes-item-response
Type:
Show Source
object-
ConsignedQuantity: number
Read Only:
trueConsigned quantity of item in the primary unit of measure. This attribute is associated with a feature that requires opt in. -
CountryOfOrigin: string
Name of the country of origin. This attribute isn't currently used.
-
CountryOfOriginCode: string
Read Only:
trueMaximum Length:2Abbreviation that identifies the country of origin. This attribute isn't currently used. -
InventoryProject: string
Name of the inventory project. This attribute isn't currently used.
-
InventoryProjectId: integer
(int64)
Read Only:
trueValue that uniquely identifies the inventory project. This attribute isn't currently used. -
InventoryTask: string
Name of the inventory task. This attribute isn't currently used.
-
InventoryTaskId: integer
(int64)
Read Only:
trueValue that uniquely identifies the inventory task. This attribute isn't currently used. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PrimaryQuantity: number
Read Only:
trueQuantity of item in the primary unit of measure. This attribute is associated with a feature that requires opt in.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : inventoryOnhandBalances-lots-lotAttributeDFFs-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
InventoryItemId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LotNumber: string
Title:
LotMaximum Length:80 -
OrganizationId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : inventoryOnhandBalances-lots-lotSerials-item-response
Type:
Show Source
object-
CountryOfOrigin: string
Value that identifies the country of manufacture used to categorize inventory transactions.
-
CountryOfOriginCode: string
Read Only:
trueMaximum Length:2Value that identifies the code of the country of manufacture used to categorize inventory transactions. -
InventoryProject: string
Name of the inventory project. This attribute isn't currently used.
-
InventoryProjectId: integer
(int64)
Read Only:
trueValue that uniquely identifies the inventory project. This attribute isn't currently used. -
InventoryTask: string
Name of the inventory task. This attribute isn't currently used.
-
InventoryTaskId: integer
(int64)
Read Only:
trueValue that uniquely identifies the inventory task. This attribute isn't currently used. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
lotSerialAttributeDFFs: array
lotSerialAttributeDFFs
-
lotSerialStandardDFFs: array
lotSerialStandardDFFs
-
MaterialStatus: string
Name of the material status of the locator.
-
MaterialStatusId: integer
(int64)
Read Only:
trueStatus of the material. -
OwningParty: string
Read Only:
trueName of owning party. -
OwningPartyId: integer
Read Only:
trueUnique value identifying the owning party. -
OwningPartySite: string
Read Only:
trueName of the site of the owning party. -
OwningPartySiteId: integer
(int64)
Read Only:
trueValue that uniquely identifies owning party site. -
SerialNumber: string
Read Only:
trueMaximum Length:80Serial number of the item.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : inventoryOnhandBalances-lots-lotSerials-lotSerialAttributeDFFs-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
CurrentOrganizationId: integer
(int64)
-
InventoryItemId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
SerialNumber: string
Title:
Serial NumberMaximum Length:80
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : inventoryOnhandBalances-lots-lotSerials-lotSerialStandardDFFs-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
CurrentOrganizationId: integer
(int64)
-
InventoryItemId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
SerialNumber: string
Title:
Serial NumberMaximum Length:80
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : inventoryOnhandBalances-lots-lotStandardDFFs-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
InventoryItemId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LotNumber: string
Title:
LotMaximum Length:80 -
OrganizationId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : inventoryOnhandBalances-replenishmentDetails-item-response
Type:
Show Source
object-
LastReplenishedDate: string
(date-time)
Read Only:
trueDate when the item is last replenished for a location during par counting. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : inventoryOnhandBalances-serials-item-response
Type:
Show Source
object-
CountryOfOrigin: string
Value that identifies the country of manufacture used to categorize inventory transactions.
-
CountryOfOriginCode: string
Read Only:
trueMaximum Length:2Value that identifies the code of the country of manufacture used to categorize inventory transactions. -
InventoryProject: string
Name of the inventory project. This attribute isn't currently used.
-
InventoryProjectId: integer
(int64)
Read Only:
trueValue that uniquely identifies the inventory project. This attribute isn't currently used. -
InventoryTask: string
Name of the inventory task. This attribute isn't currently used.
-
InventoryTaskId: integer
(int64)
Read Only:
trueValue that uniquely identifies the inventory task. This attribute isn't currently used. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MaterialStatus: string
Read Only:
trueName of the material status of the locator. -
MaterialStatusId: integer
(int64)
Read Only:
trueStatus of the material. -
OwningParty: string
Read Only:
trueName of owning party. -
OwningPartyId: string
Read Only:
trueUnique value identifying the owning party. -
OwningPartySite: string
Read Only:
trueName of the site of the owning party. -
OwningPartySiteId: integer
(int64)
Read Only:
trueValue that uniquely identifies owning party site. -
OwningPartyType: string
Read Only:
trueType of party. -
serialAttributeDFFs: array
serialAttributeDFFs
-
SerialNumber: string
Read Only:
trueMaximum Length:80Serial number of the item. -
serialStandardDFFs: array
serialStandardDFFs
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : inventoryOnhandBalances-serials-serialAttributeDFFs-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
CurrentOrganizationId: integer
(int64)
-
InventoryItemId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
SerialNumber: string
Title:
Serial NumberMaximum Length:80
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : inventoryOnhandBalances-serials-serialStandardDFFs-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
CurrentOrganizationId: integer
(int64)
-
InventoryItemId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
SerialNumber: string
Title:
Serial NumberMaximum Length:80
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Examples
This example describes how to get all inventory balances.
Example cURL Command
Use the following cURL command to submit a request on the REST resource:
curl -u username:password "https://servername/fscmRestApi/resources/version/inventoryOnhandBalances"
Example Response Body
The following shows an example of the response body in JSON format.
{
"items": [
{
"ItemNumber": "AS54888",
"PrimaryUOMCode": "Ea",
"OrganizationCode": "M1",
"SummaryLevel": "Subinventory",
"InventoryItemId": 149,
"OrganizationId": 207,
"Revision": null,
"SubinventoryGroup": null,
"SubinventoryCode": "AA22225423",
"LocatorId": null,
"OwningPartySiteId": null,
"PrimaryQuantity": 20,
"ConsignedQuantity": 0,
"CategoryId": null,
"Category": null,
"OwningPartySite": null,
"OwningPartyId": null,
"OwningParty": null,
"Locator": null,
"PrimaryUnitOfMeasure": "Each",
"MaterialStatusId": 1,
"MaterialStatus": "Active"},...]}